This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 216142 - global symbol collisions from libgtkspell
global symbol collisions from libgtkspell
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtkspell (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks: 216170
  Show dependency treegraph
 
Reported: 2006-11-17 09:24 EST by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: gtkspell-2.0.11-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 20:40:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-11-17 09:24:12 EST
Description of problem:
Clashes for /usr/lib/libgtkspell.so.0.0.0:
  with /usr/lib/libdhcp4client.so.1 => quiet

nm -D shows:

4f529f40 R quiet
4f529f3c R debug
4f528da0 T build_suggestion_menu

which look like symbols missing a "static" qualifier or otherwise a gtkspell_
prefix.

Version-Release number of selected component (if applicable):
gtkspell-2.0.11-2.1.i386
Comment 1 Matthew Barnes 2007-02-14 20:40:57 EST
Fixed in gtkspell-2.0.11-3.fc7.

Also forwarded this to the upstream bug tracking site, though it doesn't look
like it's actively maintained:

http://sourceforge.net/tracker/index.php?func=detail&aid=1660204&group_id=7896&atid=107896

Note You need to log in before you can comment on or make changes to this bug.